<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/img_bg">

    <xn.xxp.widget.TitleBar
        android:id="@+id/titleBar"
        android:layout_width="0dp"
        android:layout_height="56dp"
        android:background="@mipmap/img_navigation_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:showNotice="true"
        app:signed="false" />

    <xn.xxp.widget.NavViewCompat
        android:id="@+id/nav_view"
        android:layout_width="0dp"
        android:layout_height="42dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/titleBar"
        app:location="身份验证"
        app:showBack="true"
        app:showFingerEnroll="false"
        app:showHome="false" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="17dp"
        android:layout_marginTop="7dp"
        android:layout_marginEnd="17dp"
        android:layout_marginBottom="50dp"
        android:background="@drawable/shape_rect_round_11_solid_white_20p"
        android:paddingStart="17dp"
        android:paddingTop="20dp"
        android:paddingEnd="17dp"
        android:paddingBottom="20dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/nav_view">

        <core.ui.widget.SwipeViewPager
            android:id="@+id/viewPager"
            android:layout_width="570dp"
            android:layout_height="0dp"
            android:layout_marginBottom="5dp"
            app:layout_constraintBottom_toTopOf="@id/tabLabel"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <RadioGroup
            android:id="@+id/tabLabel"
            android:layout_width="520dp"
            android:layout_height="45dp"
            android:background="@drawable/shape_rect_round_11_solid_white_50p"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">

            <RadioButton
                android:id="@+id/faceAuth"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:button="@null"
                android:checked="true"
                android:gravity="center"
                android:text="人脸识别"
                android:textColor="@color/textcolor_cbx_black"
                android:textSize="13sp" />

            <RadioButton
                android:id="@+id/fingerAuth"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:button="@null"
                android:gravity="center"
                android:text="指纹验证"
                android:textColor="@color/textcolor_cbx_black"
                android:textSize="13sp"
                android:visibility="gone" />

            <RadioButton
                android:id="@+id/cardAuth"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:button="@null"
                android:gravity="center"
                android:text="刷卡验证"
                android:textColor="@color/textcolor_cbx_black"
                android:textSize="13sp" />

            <RadioButton
                android:id="@+id/passwordAuth"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:button="@null"
                android:gravity="center"
                android:text="输入密码"
                android:textColor="@color/textcolor_cbx_black"
                android:textSize="13sp"
                android:visibility="gone" />

            <RadioButton
                android:id="@+id/qrAuth"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:button="@null"
                android:gravity="center"
                android:text="扫码验证"
                android:textColor="@color/textcolor_cbx_black"
                android:textSize="13sp" />

        </RadioGroup>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>